Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000728 [Piwigo] display minor N/A 2007.07.26 11:22 2007.08.26 02:07
Reporter Atadilo View Status public  
Assigned To rub
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.7.1 Product Version 1.7.1
  Target Version Product Build
Summary 0000728: Ajout de Trigger supplémentaires pour les descriptions
Description Serait il possible de rajouter des triggers pour sur les descriptions
de catégories et les descriptions des éléments ?

Proposition :

Dans le fichier category.cats.inc.php, remplacer :
 'DESCRIPTION' => @$comment,
par
 'DESCRIPTION' => trigger_event('render_cat_description', @$comment),

Dans le fichier index.php, remplacer :
 'COMMENTS' => $page['comment']
par
 'COMMENTS' => trigger_event('render_cat_description', $page['comment'])

Dans le fichier picture.php, remplacer :
 'COMMENT_IMG' => nl2br($picture['current']['comment'])
par
 'COMMENT_IMG' => trigger_event('render_element_description', $picture['current']['comment'])

et ajouter quelque part peut être :
 add_event_handler('render_cat_description', 'htmlspecialchars');
 add_event_handler('render_element_description', 'htmlspecialchars');

Il est fort possible que je n'ai pas tout listé...
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0001937)
Atadilo (reporter)
2007.07.26 16:01

Je me permet de compléter un peu en fait :) mais ça risque de générer beaucoup plus de code pour vous :(

Ajouter aussi des trigger 'loc_begin_XXXXX' et 'loc_end_XXXXX' dans tous les fichiers PHP, je pense que ça donnerais plus de "souplesses" pour les pluggeurs, non ?
(0001938)
flop25 (developer)
2007.07.26 18:35

+1
(0001939)
rub (developer)
2007.07.27 15:06

Pas de soucis pour l'ajout.

> Ajouter aussi des trigger 'loc_begin_XXXXX' et 'loc_end_XXXXX' dans tous les fichiers PHP, je pense que ça donnerais plus de "souplesses" pour les pluggeurs, non ?
Pas sur, tu veux faire quoi exactement?
Par sur, car des évènements ont été rajoutés dans le moteur de template.
Donc, pour modifier les tpl, plus de soucis en 1.7.1.
(0001940)
VDigital (reporter)
2007.07.27 21:20

Cela me fait penser que je veux en ajouter sur l'upload...
8-)
(0001950)
rub (developer)
2007.08.23 23:54

Atadilo, on t'a oublié, il faut absolument qu'on le fasse pour la 1.7.1.
Fait un petit up de temps en temps pour qu'on oublie pas.
(0001951)
rub (developer)
2007.08.24 01:40
edited on: 2007.08.24 10:35

J'ai commencé à le faire mais je me heurte à un petit problème.
Dans category.cats.inc.php, il y a la ligne
$comment = strip_tags(@$category['comment'], '<a>

<small><strong><font>')

J'ai donc ajouter strip_tags(..., '<a>

<small><strong><font>') dans un add_event_handler, le soucis, c'est que les catégories piong-pong ne fonctionnent plus. Pour qu'elles fonctionnent, il suffit de rajouter un petit personal plugin pour ajouter "<script>" dans la fonction uniquement dans le script category.cats.inc.php et donc lors de l'événement loc_begin_index_category_thumbnails.

L'avantage, c'est que ca sécurise plus, même si c'est pas nécessaire car ceux sont des données de l'administrateur.

Pas de pb à ce que les feintes dites ping-pong soit un poil plus difficile à faire?

cf: http://forum.phpwebgallery.net/viewtopic.php?pid=68846#p68846 [^]

(0001956)
rub (developer)
2007.08.26 02:07

[Subversion] r2078 & [Subversion] r2079


Au final, j'ai donc rajouter les trois triggers suivants:
  o render_category_description
  o render_category_literal_description (pour une version textuelle lors de l'affichage des catégories en miniatures (mode subcatify)
  o render_element_description

Pas de htmlspecialchars par défault car ca va bloqué les catégories avec du js, html, etc.

- Issue History
Date Modified Username Field Change
2007.07.26 11:22 Atadilo New Issue
2007.07.26 11:22 Atadilo browser => any
2007.07.26 11:22 Atadilo Web server => Apache 1.3.x
2007.07.26 16:01 Atadilo Note Added: 0001937
2007.07.26 18:35 flop25 Note Added: 0001938
2007.07.27 15:06 rub Note Added: 0001939
2007.07.27 21:20 VDigital Note Added: 0001940
2007.08.23 23:54 rub Note Added: 0001950
2007.08.24 00:26 rub Status new => assigned
2007.08.24 00:26 rub Assigned To => rub
2007.08.24 01:40 rub Note Added: 0001951
2007.08.24 10:35 rub Note Edited: 0001951
2007.08.26 02:07 rub Status assigned => closed
2007.08.26 02:07 rub Note Added: 0001956
2007.08.26 02:07 rub Resolution open => fixed
2007.08.26 02:07 rub Fixed in Version => 1.7.1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker